#120 log re-reading action files

closed
Lee
5
2010-06-10
2010-05-16
Lee
No

I've got multiple versions of Privoxy and have a tendency to edit the file in the wrong directory. So add a log message about re-reading files to make it obvious why a web page isn't working even after I fixed the problem in the actions file.

Discussion

  • Lee

    Lee - 2010-05-16
     
  • Fabian Keil

    Fabian Keil - 2010-05-17

    I think it's a good idea and we should do the same for filter files.

    I'd prefer the message to say "(Re-)loading" instead of "Re-reading", though.

     
  • Lee

    Lee - 2010-05-22

    So the actions file log message should look like
    May 22 12:38:29.589 0000012c Info: (Re-)loading actions file: .\match-all.action
    May 22 12:38:29.589 0000012c Info: (Re-)loading actions file: .\default.action
    May 22 12:38:29.604 0000012c Info: (Re-)loading actions file: .\user.action
    May 22 12:38:29.620 0000012c Info: (Re-)loading actions file: .\blocksites.action
    May 22 12:38:29.635 0000012c Info: (Re-)loading actions file: .\malwareSites.action
    May 22 12:38:29.651 0000012c Info: (Re-)loading actions file: .\spw.action
    May 22 12:38:29.979 0000012c Info: (Re-)loading actions file: .\winhelp.action
    May 22 12:38:30.010 0000012c Info: (Re-)loading actions file: .\unblock.action

    correct?

    I'll see if I can do the same for filter files.

    Thanks!
    Lee

     
  • Fabian Keil

    Fabian Keil - 2010-05-23
    • assigned_to: nobody --> ler762
    • status: open --> pending
     
  • Fabian Keil

    Fabian Keil - 2010-05-23

    Correct.

     
  • Lee

    Lee - 2010-05-26
    • status: pending --> open
     
  • Lee

    Lee - 2010-05-26

    What do you think of just plain "loading"? eg:
    May 26 13:35:43.292 00000c7c Info: Loading actions file: .\match-all.action
    May 26 13:35:43.292 00000c7c Info: Loading actions file: .\default.action
    May 26 13:35:43.292 00000c7c Info: Loading actions file: .\user.action
    May 26 13:35:43.308 00000c7c Info: Loading actions file: .\blocksites.action
    May 26 13:35:43.308 00000c7c Info: Loading actions file: .\malwareSites.action
    May 26 13:35:43.667 00000c7c Info: Loading filter file: .\default.filter
    May 26 13:35:43.682 00000c7c Info: Loading filter file: .\user.filter

     
  • Lee

    Lee - 2010-05-26

    version 2 of the patch

     
  • Fabian Keil

    Fabian Keil - 2010-05-26
    • status: open --> pending
     
  • Fabian Keil

    Fabian Keil - 2010-05-26

    That would work for me, too.

     
  • SourceForge Robot

    • status: pending --> closed
     
  • SourceForge Robot

    This Tracker item was closed automatically by the system. It was
    previously set to a Pending status, and the original submitter
    did not respond within 14 days (the time period specified by
    the administrator of this Tracker).

     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks